Zonemaster::Engine::Exception(3pm)

NAME
Zonemaster::Engine::Exception -- base class for Zonemaster::Engine exceptions

SYNOPSIS
   die Zonemaster::Engine::Exception->new({ message => "This is an exception" });

ATTRIBUTES

message
    A string attribute holding a message for possible human consumption.

METHODS

string()
    Method that stringifies the object by returning the "message" attribute. Stringification is overloaded to this.